Subject: Home Orchard Society? (Oregon)

From: [email-masked] (Terradan Landchild)
Date: 11 Mar 1995 16:51:57 GMT

Is anyone out there a member of the Home Orchard Society based, I 
believe, in Portland, OR?  Or does anyone know how to contact them?
I was hoping to attend their annual Spring (grafting) event, I hope it 
hasn't gone by already!

Thanks & Good Gardening to You!

--
---
pacifier.com - Vancouver's Public access Internet (206) 693-0325
telnet or dial the above and type "new" at the prompt to register